org.springframework.jdbc.support.lob

## Class LobCreatorUtils

- java.lang.Object
- - org.springframework.jdbc.support.lob.LobCreatorUtils

    public abstract class LobCreatorUtils
    extends Object

Helper class for registering a transaction synchronization for closing a LobCreator, preferring Spring transaction synchronization and falling back to plain JTA transaction synchronization.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `SpringLobCreatorSynchronization`, `TransactionSynchronizationManager`, `JtaLobCreatorSynchronization`, `Transaction.registerSynchronization(javax.transaction.Synchronization)`

### Constructor Summary

Constructors
Constructor and Description
`LobCreatorUtils()`

### Method Summary

Methods
`static void` `registerTransactionSynchronization(LobCreator lobCreator, TransactionManager jtaTransactionManager)` Register a transaction synchronization for closing the given LobCreator, preferring Spring transaction synchronization and falling back to plain JTA transaction synchronization.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LobCreatorUtils

    public LobCreatorUtils()

### Method Detail

#### registerTransactionSynchronization

    public static void registerTransactionSynchronization(LobCreator lobCreator,
                                          TransactionManager jtaTransactionManager)
                                                   throws IllegalStateException

Register a transaction synchronization for closing the given LobCreator, preferring Spring transaction synchronization and falling back to plain JTA transaction synchronization.

Parameters:
  `lobCreator` - the LobCreator to close after transaction completion
  `jtaTransactionManager` - the JTA TransactionManager to fall back to when no Spring transaction synchronization is active (may be `null`)
Throws:
  `IllegalStateException` - if there is neither active Spring transaction synchronization nor active JTA transaction synchronization